geos::index::bintree::Node Class Reference

A node of a Bintree. More...

`#include <Node.h>`

Inheritance diagram for geos::index::bintree::Node:

## Public Member Functions

| Node (Interval *newInterval, int newLevel)
Interval * | getInterval ()
Node * | getNode (Interval *searchInterval)
NodeBase * | find (Interval *searchInterval)
void | insert (Node *node)
Public Member Functions inherited from geos::index::bintree::NodeBase
virtual std::vector< void * > * | getItems ()
virtual void | add (void *item)
virtual std::vector< void * > * | addAllItems (std::vector< void * > *newItems)
virtual std::vector< void * > * | addAllItemsFromOverlapping (Interval *interval, std::vector< void * > *resultItems)
virtual int | depth ()
virtual int | size ()
virtual int | nodeSize ()

## Static Public Member Functions

static Node * | createNode (Interval *itemInterval)
static Node * | createExpanded (Node *node, Interval *addInterval)
Static Public Member Functions inherited from geos::index::bintree::NodeBase
static int | getSubnodeIndex (Interval *interval, double centre)

## Protected Member Functions

bool | isSearchMatch (Interval *itemInterval) override

## Additional Inherited Members

Protected Attributes inherited from geos::index::bintree::NodeBase
std::vector< void * > * | items
Node * | subnode [2]

## Detailed Description

A node of a Bintree.

## Member Function Documentation

## isSearchMatch()

bool geos::index::bintree::Node::isSearchMatch | ( | Interval * | itemInterval | ) |

override protected virtual

Implements geos::index::bintree::NodeBase.

The documentation for this class was generated from the following file:

- index/bintree/Node.h